package cn.teammodel.service;

import cn.teammodel.model.dto.Wechat.*;
import cn.teammodel.model.vo.WechatResponseMsgVo;

/**
 * 模板消息推送
 */
public interface WechatService {
    /**
     * 发送评价订阅消息
     * @param appraiseDto
     * @return
     */
    WechatResponseMsgVo AppraisePushMsg(AppraiseReqDto appraiseDto);

    /**
     * 考核成绩发布通知
     * @param examReqDto
     * @return
     */
    WechatResponseMsgVo ExamPushMsg(ExamReqDto examReqDto);

    /**
     * 职业测试报告通知
     * @param vocationalReqDto
     * @return
     */
    WechatResponseMsgVo VocationalPushMsg(VocationalReqDto vocationalReqDto);

    /**
     * 报告
     * @param reportReqDto
     * @return
     */
    WechatResponseMsgVo ReportPushMsg(ReportReqDto reportReqDto);
}
